Subject: Re: [Iasa20] Barry Leiba's Discuss on draft-ietf-iasa2-rfc7437bis-07: (with DISCUSS and COMMENT)

From: Barry Leiba <[email-masked]>
Date: Mon, 8 Jul 2019 10:53:49 -0400

And, so, back to this.

Repeating from the other thread: my goal here is not to get in the way
of approving this very important document, nor to make any process
change.  My goal is to get clarity on something that I think is at
best unclear.

What "exception", exactly, is the text in the second half of Section
3.8 trying to make?  How is it possible for the NomCom to fill the
vacated IAB slot without informing the community that it's doing so?
And if it informs the community, how is it possible to do that without
announcing the resignation of the IAB member?

It's possible that the fix to this issue is simply a sentence that
better explains what's meant by "the following exception".  But the
following text doesn't make it clear to me, and instead seems
impossible to comply with.  Please help me understand.

Barry

On Sun, Jun 30, 2019 at 8:20 PM Barry Leiba <[email-masked]> wrote:
>
> Hi, Brian.
>
> > > Maybe what I really don't understand is the exception that allows the
> > > replacement process to be done before the vacancy is announced.
> >
> > I don't believe that is the intention. I think the intention was to describe
> > exactly what happened in 2013:
> > https://mailarchive.ietf.org/arch/msg/ietf-announce/ogw1xIIrxXN-ExzUmordL1uXetk
> > https://mailarchive.ietf.org/arch/msg/ietf-announce/EwBi_PHbPs3a4CqJwYDjObb2VSc
> > i.e. an hour or so after an IAB member was announced as a new AD, NomCom
> > started the mid-term vacancy process. (I assume that in the intervening hour,
> > the IAB member resigned and the IAB duly informed NomCom of the vacancy.)
> >
> > In other words "The process [...] of filling the seat" includes a call for
> > nominations, as it did in 2013. (The fact that it happened in May rather
> > than before the MArch IETF is beside the point, I think.)
> >
> > I think that in this sentence:
> > "The resignation may remain confidential to the IAB,
> >  IAOC, IESG, and nominating committee until the confirmed candidate is
> >  announced for the new position."
> > the phrase "the new position" means (in the 2013 case) the Transport AD
> > position. Filling in the unknowns, the sentence reads:
> > "Spencer's resignation from the IAB may remain confidential to the IAB,
> >  IAOC, IESG, and nominating committee until Spencer is announced as
> >  the new Transport AD."
>
> Sure, but that's not what the text says:
>
>    It is consistent with these rules for the announcements of a
>    resignation of a sitting member of the IAB and of the confirmed
>    candidate for the mid-term vacancy created by that sitting member on
>    the IAB to all occur at the same time
>
> Putting the 2013 specifics into that:
>
>    It is consistent with these rules for the announcements of a
>    resignation of a Spencer from the IAB and **of the confirmed
>    candidate to replace Spencer** to all occur at the same time
>
> That second part is very different from the announcement of Spencer as
> TSV AD (which I agree is no problem at all).  Having it as I've
> inserted the 2013 specifics implies that Spencer's replacement on the
> IAB was selected without letting community know that it was happening.
>
> Barry

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 8 Jul 2019 11:14:03 -0400

Hi Barry,

The exception in the document seems consistent with the following hypothetical situation:

The nomcom for year 2035-2036 has been seated. Alice has been on the IAB for one year. She is also a nominee for an AD position in the Foo area. There are also six open positions on the IAB.

The nomcom does its deliberations and selects Alice to be the next Foo AD. They also select six people to serve on the IAB. They send the IESG slate to the IAB for confirmation and the IAB, with Alice recused, confirms the slate. Alice resigns from her position on the IAB. The IAB chair informs the nomcom of the mid-term vacancy created by Alice resigning. The nomcom selects a seventh candidate to serve on the IAB (since they have a pool of nominees and filling the vacancy is a responsibility of the 2035-2036 nomcom) and sends the IAB slate to the ISOC BoT for confirmation. The announcements of the confirmed slates and of Alice’s resignation from the IAB then happen simultaneously.

I think this is different from the 2013 situation because all of the events are taking place during the established nomcom timeline for getting people seated by the first IETF meeting of the year, so the IAB candidate pool for 2036 is still “active,” so to speak.

Alissa

> On Jul 8, 2019, at 10:53 AM, Barry Leiba <[email-masked]> wrote:
> 
> And, so, back to this.
>

---

From: Barry Leiba <[email-masked]>
Date: Mon, 8 Jul 2019 11:24:08 -0400

> The nomcom for year 2035-2036 has been seated. Alice has been on the
> IAB for one year. She is also a nominee for an AD position in the Foo
> area. There are also six open positions on the IAB.
>
> The nomcom does its deliberations and selects Alice to be the next Foo
> AD. They also select six people to serve on the IAB. They send the IESG
> slate to the IAB for confirmation and the IAB, with Alice recused,
> confirms the slate. Alice resigns from her position on the IAB. The IAB
> chair informs the nomcom of the mid-term vacancy created by Alice
> resigning. The nomcom selects a seventh candidate to serve on the IAB
> (since they have a pool of nominees and filling the vacancy is a
> responsibility of the 2035-2036 nomcom) and sends the IAB slate to the
> ISOC BoT for confirmation. The announcements of the confirmed slates
> and of Alice’s resignation from the IAB then happen simultaneously.
>
> I think this is different from the 2013 situation because all of the
> events are taking place during the established nomcom timeline for
> getting people seated by the first IETF meeting of the year, so the IAB
> candidate pool for 2036 is still “active,” so to speak.

OK... then you're saying that in the case that the NomCom has not yet
announce the IAB slate, the exception says that they can fill an extra
IAB position without advertising that to the community, because
there's already a bunch of people who put their names in for IAB
positions and there's no reason to think that knowing that there's one
more open position will matter.

I get that, and, understanding it, I do agree that that was the intent
of that text.

May I suggest, then, the following edit to make it clear?:

OLD
   However, the following exception is permitted in the case where the
   candidate for an open position is currently a sitting member of the
   IAB.

NEW
   However, an exception is permitted in the case where the
   candidate for an open position is currently a sitting member of the
   IAB.  Because there is already a pool of candidates for a set of IAB
   positions, the NomCom does not a need to inform the community
   explicitly that one more position is becoming available, so par of the
   process can overlap.

END

Tweak as necessary, but does that work?  Alissa, Bob, others, what do you think?

Barry

---

From: John C Klensin <[email-masked]>
Date: Mon, 08 Jul 2019 16:33:17 -0400

--On Monday, July 8, 2019 11:24 -0400 Barry Leiba
<[email-masked]> wrote:

>> The nomcom for year 2035-2036 has been seated. Alice has been
>> on the IAB for one year. She is also a nominee for an AD
>> position in the Foo area. There are also six open positions
>> on the IAB.
>> 
>> The nomcom does its deliberations and selects Alice to be the
>> next Foo AD. They also select six people to serve on the IAB.
>> They send the IESG slate to the IAB for confirmation and the
>> IAB, with Alice recused, confirms the slate. Alice resigns
>> from her position on the IAB. The IAB chair informs the
>> nomcom of the mid-term vacancy created by Alice resigning.
>> The nomcom selects a seventh candidate to serve on the IAB
>> (since they have a pool of nominees and filling the vacancy
>> is a responsibility of the 2035-2036 nomcom) and sends the
>> IAB slate to the ISOC BoT for confirmation. The announcements
>> of the confirmed slates and of Alice's resignation from the
>> IAB then happen simultaneously.
>> 
>> I think this is different from the 2013 situation because all
>> of the events are taking place during the established nomcom
>> timeline for getting people seated by the first IETF meeting
>> of the year, so the IAB candidate pool for 2036 is still
>> "active," so to speak.
> 
> OK... then you're saying that in the case that the NomCom has
> not yet announce the IAB slate, the exception says that they
> can fill an extra IAB position without advertising that to the
> community, because there's already a bunch of people who put
> their names in for IAB positions and there's no reason to
> think that knowing that there's one more open position will
> matter.
> 
> I get that, and, understanding it, I do agree that that was
> the intent of that text.
> 
>    However, the following exception is permitted in the case
> where the    candidate for an open position is currently a
> sitting member of the    IAB.
> 
> NEW
>    candidate for an open position is currently a sitting
> member of the    IAB.  Because there is already a pool of
> candidates for a set of IAB    positions, the NomCom does not
> a need to inform the community    explicitly that one more
> position is becoming available, so par of the    process can
> overlap.
> 
> END
> 

Barry, because I believe that the existing text is as hard to
understand and possibly ambiguous as seem to do, this is a
substantive change.  Consider the following scenario, which I
consider plausible, and consider it in context with the recent
discussion about overrepresentation of organizations on the
nomcom.

Among the members of the IAB are persons A and B, both from
company X.  To make the example more clear, assume B is on the
"off" cycle and not up for re-selection.  Person C, who is also
from company X, does not self-nominate as a candidate because
she believes that A is likely to be, and B is certain to be, on
the nomcom after the process completes and  that more than two
people from that company would be a bad idea.  Now, if the
Nomcom moves person B to the IESG and the Nomcom simply fills
the IAB seat from those who are still on the list of candidates
they had earlier (i.e., after candidates who had already been
selected have been removed), then they can't consider C as a
possible candidate because C, having not volunteered under those
circumstances, is on the list.  If they issued a new call for
candidates, C would presumably volunteer and might turn out to
be the best candidate in the (new) candidate pool for the IAB.

I personally don't think that community would be well-served by
making that decision but, one way or the other, clarifying that
the text means that the nomcom is not required to issue a new
call for candidates is almost certainly substantive.

     john

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 9 Jul 2019 08:56:15 +1200

> Tweak as necessary, but does that work?  Alissa, Bob, others, what do you think?

FWIW I think I finally understood what was bothering Barry and I think this
tweak does express what the drafters of RFC7437 thought they were saying. So
this would be a confirmed erratum on RFC7437, if that was where we were in
the process. It's above my pay grade to decide whether we should handle it
now or wait for RFC7437bisbis.

John Klensin's subsequent message would be a substantive change of intent,
IMHO. I'm not sure how I feel about it.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Mon, 08 Jul 2019 20:38:57 -0400

--On Tuesday, July 9, 2019 08:56 +1200 Brian E Carpenter
<[email-masked]> wrote:

>...
>> can fill an extra IAB position without advertising that to
>> the community, because there's already a bunch of people who
>> put their names in for IAB positions and there's no reason to
> FWIW I think I finally understood what was bothering Barry and
> I think this tweak does express what the drafters of RFC7437
> thought they were saying. So this would be a confirmed erratum
> on RFC7437, if that was where we were in the process. It's
> above my pay grade to decide whether we should handle it now
> or wait for RFC7437bisbis.
> 
> John Klensin's subsequent message would be a substantive
> change of intent, IMHO. I'm not sure how I feel about it.

Brian,

I'm actually not sure how I feel about it either.  I am,
however, fairly certain it was a scenario that was not actively
discussed when 7437 was being discussed and approved.  However,
the bottom line to me is that either 

* we have general consensus that the sentences in the document
mean what the above (and Barry's suggested revised text) say it
means.  In that case, the clarification is not urgent and can
wait until we get around to doing a comprehensive revision of
7437bis.

or

* we don't have that level of agreement on what the sentence
means, in which case there is no clarification in our
traditional sense but a substantive decision followed by, or
associated with, text to reflect that decision and make it
perfectly clear.  In that case, it is unambiguously out of scope
for IANA2 documents given both the decisions that have been made
by WG Chairs and the AD and rules applied to other documents on
that WG's menu.

If there is a lesson from this for the future, it is that there
are distinct downsides to telling a WG that it is expected to
produce documents that replace older ones but are not allowed to
fix known errors or other difficulties with those earlier ones.
I'm not suggesting we should never do it, but  For technical
specifications, at least as I read 2026, such a replacement with
a "we didn't look at anything else" disclaimer is actually not
permitted because of the "known omissions" language.  Such a
document would be ok if it enumerated the issues that were not
addressed and the IESG explicitly signed off on that list. 

That would presumably not be an issue for a BCP that was
actually a description of current, established, best practices.
For wishful thinking that we'd like to be the best practices and
for IETF procedures... well, in might be the 2026 is in need of
clarification and revision, not just 7437/7437bis.

   john

---

From: Barry Leiba <[email-masked]>
Date: Mon, 8 Jul 2019 21:41:02 -0400

Hi, John.

> wait until we get around to doing a comprehensive revision of

I'm sure it was not actively discussed with respect to 7437, because
the text came there directly from 3777.  It likely *was* discussed
then, because it was added at that time.  Possibly Jim Galvin
remembers, so maybe I'll ask him.  I can't find mailing list archives
of the former "nomcom" working group, which produced 3777.

I don't agree that it's not urgent; to the extent that we can say that
anything here is really *urgent*: I think it's urgent that we make the
text say what the intent is, and fix it if it's not clear.  The
alternative, as I see it, is to remove the exception for now and
revisit it later.  (Note that I am NOT suggesting that, except as an
alternative to clarification; I think that having unclear text is
what's bad.)

Why, John, If we agree on what the intent is, do you not think it's
urgent to clarify it?  At the very least, it provides a baseline for
discussion of changes later.

> by WG Chairs and the AD and rules applied to other documents on

I think that if we don't have agreement on what it means, we should
either remove it or flag it as problematic and not to be used until
it's clarified later.

I understand the scenario you laid out, which might lead someone to
put her name in for the vacated position when she didn't put it in for
the IAB during the initial call.  Notwithstanding that, I do think,
now, that this is what the exception was meant to be for.

I'm off to ping Jim Galvin now....

Barry

---

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 9 Jul 2019 14:00:37 +0000

+1
This is indeed a good lesson-learned. It seemed to be the only way to get the WG approved at the time, but in retrospect I hope current & future leaders that approve WGs will bear this in mind. 

Jason

---

From: John C Klensin <[email-masked]>
Date: Tue, 09 Jul 2019 10:48:56 -0400

(changing the subject line in case this starts a branch thread
-- although I hope it won't)

--On Tuesday, July 9, 2019 14:00 +0000 "Livingood, Jason"
<[email-masked]> wrote:

>     are distinct downsides to telling a WG that it is expected
> to     produce documents that replace older ones but are not
> allowed to     fix known errors or other difficulties with
> those earlier ones.
> 
> +1
> This is indeed a good lesson-learned. It seemed to be the only
> way to get the WG approved at the time, but in retrospect I
> hope current & future leaders that approve WGs will bear this
> in mind. 

I think that, in planning for the future, it is scope statements
to the effect of "nothing other than fixing X" that are the
problem.   Ones that focus a WG on a particular topic may still
be reasonable if they allow for (and, IMO) preferably encourage)
fixing known bugs and making obvious clarifications in documents
being revised.  In retrospect, if there was an error this time,
it was in treating excluding everything not directly required by
the IASA2 changes as the only alternative to opening up large
cans of worms.  

IMO, we ought to have been able to accommodate the changes Barry
proposed and others or similar nature, including several that
were proposed while the IASA2 documents were under development.
In the past, we've managed to accommodate such changes by a
liberal and flexible interpretation of WG charters, but that was
obviously unworkable in this case.   My objection to doing so
now is only because it seems unreasonable to me to exclude the
possibility of a type of change in the WG that develops a
document only to have IESG members make changes very similar
changes to those that were blocked in the WG and make them after
Last Call closes. 

Adam, I don't know what else, if anything, you intend to do with
your bis-documents I-D, but the above seems to me to be quite
relevant to it.

best,
   john

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Jul 2019 15:28:07 -0400

I have added my suggested text, below, to my ballot and moved the
whole thing from the DISCUSS section to the COMMENT section.  I've
also changed my ballot to "yes", reflecting the importance I see in
having this document approved.

I'd still like to see the clarification I propose made, but I'm OK
with accepting the judgment of Bob and Alissa, and we now have
something on record to point to if there should actually be any
confusion about applying the IAB-vacancy exception before the whole
process is revised again.

I'll repeat that I appreciate the work in making the updates here, and
the discussion that finally led to my understanding the issue that I
had found unclear.

Barry

---

From: Bob Hinden <[email-masked]>
Date: Tue, 9 Jul 2019 13:39:23 -0700

Barry,

> On Jul 9, 2019, at 12:28 PM, Barry Leiba <[email-masked]> wrote:
> 

Thanks.  I have gone through your other comments on the IASA 2 changes, and have adopted a number of them in a local draft I am working on.

Bob